@echo off
cls
echo ************************
echo * making Assembly demo *
echo *                      *
echo * Code: INVISIBLE MAN  *
echo * Sound: UTZ           *
echo *                      *
echo * Please be patient... *
echo ************************
echo processing background image file...
pbmconvert
echo done
echo assemblig background image file...
lwasm -r -o bgnd bgnd.fcb
echo done
echo compressing background image file...
dzip -v bgnd
echo done
del bgnd > nul
del bgnd.fcb > nul
echo assembling main demo (this make take some time)...
lwasm -r -o demo demo.asm
echo done
echo compressing raw demo file...
dzip -v demo
echo done
cls
echo creating final binary....
lwasm -b -o asm-demo.bin loader2.asm
echo done
echo your demo is now *asm-demo.bin* - copy that to a .dsk of your choice




